/*
 * Copyright (c) 2005-2006 Extreme! Lab, Indiana University. All rights reserved.
 *
 * This software is open source. See the bottom of this file for the license.
 *
 * $Id: XBayaPathConstants.java,v 1.2 2006/11/20 18:35:08 sshirasu Exp $
 */

package edu.indiana.extreme.xbaya.file;

import java.io.File;

/**
 * @author Satoshi Shirasuna
 */
public interface XBayaPathConstants {

    /**
     * Root directory of the server.
     */
    public static final String XBAYA_DIRECTORY = ".";

    /**
     * The path of the directory that stores component definitions.
     */
    public static final String WSDL_DIRECTORY = XBAYA_DIRECTORY
            + File.separator + "wsdls";

    /**
     * The path of the directory that stores graphs.
     */
    public static final String WORKFLOW_DIRECTORY = XBAYA_DIRECTORY
            + File.separator + "workflows";

    /**
     * The path of the directory where the scripts are saved.
     */
    public static final String SCRIPT_DIRECTORY = XBAYA_DIRECTORY
            + File.separator + "scripts";

    /**
     * The path of the directory where the BPEL scripts are saved.
     */
    public static final String JYTHON_SCRIPT_DIRECTORY = SCRIPT_DIRECTORY
            + File.separator + "jython";

    /**
     * The path of the directory where the BPEL scripts are saved.
     */
    public static final String BPEL_SCRIPT_DIRECTORY = SCRIPT_DIRECTORY
            + File.separator + "bpel";

}

/*
 * Indiana University Extreme! Lab Software License, Version 1.2
 * 
 * Copyright (c) 2005-2006 The Trustees of Indiana University. All rights
 * reserved.
 * 
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:
 * 
 * 1) All redistributions of source code must retain the above copyright notice,
 * the list of authors in the original source code, this list of conditions and
 * the disclaimer listed in this license;
 * 
 * 2) All redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the disclaimer listed in this license in
 * the documentation and/or other materials provided with the distribution;
 * 
 * 3) Any documentation included with all redistributions must include the
 * following acknowledgement:
 * 
 * "This product includes software developed by the Indiana University Extreme!
 * Lab. For further information please visit http://www.extreme.indiana.edu/"
 * 
 * Alternatively, this acknowledgment may appear in the software itself, and
 * wherever such third-party acknowledgments normally appear.
 * 
 * 4) The name "Indiana University" or "Indiana University Extreme! Lab" shall
 * not be used to endorse or promote products derived from this software without
 * prior written permission from Indiana University. For written permission,
 * please contact http://www.extreme.indiana.edu/.
 * 
 * 5) Products derived from this software may not use "Indiana University" name
 * nor may "Indiana University" appear in their name, without prior written
 * permission of the Indiana University.
 * 
 * Indiana University provides no reassurances that the source code provided
 * does not infringe the patent or any other intellectual property rights of any
 * other entity. Indiana University disclaims any liability to any recipient for
 * claims brought by any other entity based on infringement of intellectual
 * property rights or otherwise.
 * 
 * LICENSEE UNDERSTANDS THAT SOFTWARE IS PROVIDED "AS IS" FOR WHICH NO
 * WARRANTIES AS TO CAPABILITIES OR ACCURACY ARE MADE. INDIANA UNIVERSITY GIVES
 * NO WARRANTIES AND MAKES NO REPRESENTATION THAT SOFTWARE IS FREE OF
 * INFRINGEMENT OF THIRD PARTY PATENT, COPYRIGHT, OR OTHER PROPRIETARY RIGHTS.
 * INDIANA UNIVERSITY MAKES NO WARRANTIES THAT SOFTWARE IS FREE FROM "BUGS",
 * "VIRUSES", "TROJAN HORSES", "TRAP DOORS", "WORMS", OR OTHER HARMFUL CODE.
 * LICENSEE ASSUMES THE ENTIRE RISK AS TO THE PERFORMANCE OF SOFTWARE AND/OR
 * ASSOCIATED MATERIALS, AND TO THE PERFORMANCE AND VALIDITY OF INFORMATION
 * GENERATED USING SOFTWARE.
 */
